/*
 * mkdtemp() for linux.  hacked up for mktemp
 */
#include <unistd.h>


char *
mkdtemp(char *path)
{
    char *p = mktemp(path);

    if (p)
	return (mkdir(path) == 0) ? path : 0;
    return 0;
} /* mkdtemp */
